Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 40.00 hours

Target version: Revise Documentation and Training

Materials

  

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to Conversion Tools - Feature #1901: modify the conversion process to... New

History

#1 - 12/11/2012 12:44 PM - Greg Shah

Update all P2J books to describe how to:

- run conversion on Windows

- run P2J (client and server) on Windows

- setup the project and build P2J on Windows

At a minimum, the conversion handbook, the developer guide and the runtime configuration, installation and administration guide will need updates.

#2 - 12/11/2012 12:45 PM - Greg Shah

- Target version set to Milestone 18

#3 - 12/14/2012 02:15 PM - Eugenie Lyzenko

If my understanding is OK the you mean the following directories need to be updated:

p2j_books/conversion_handbook

p2j_books/developer_guide

p2j_books/runtime_configuration_installation_and_administration_guide

Correct? I suggest to add one more chapter with Windows specifics to all these directories to be able to simple integrate it into final pdf document. Is

this approach OK?

#4 - 12/14/2012 03:26 PM - Greg Shah

- Status changed from New to WIP

Yes, these are the projects that need to be updated.

I suggest to add one more chapter with Windows specifics to all these directories to be able to simple integra

te it into final pdf document. Is this approach OK?
That is fine for now.

#5 - 12/21/2012 02:29 PM - Eugenie Lyzenko

- File windows_target_specific.odt added

- File windows_specific.odt added

I've uploaded two draft files here, one for conversion handbook, another for developer guide. Now I'm thinking and start writing the addition for

runtime configuration part. Sorry, it takes a time to distill what I need to mention there from what I don't.

Continue working.

#6 - 12/25/2012 05:08 PM - Eugenie Lyzenko

- File windows_specific_documents_20121225.zip added

The updated versions of the document have been uploaded here. Also the new document part describing the run-time setup process has been

added.

#7 - 12/27/2012 03:37 PM - Eugenie Lyzenko

- File windows_specific_documents_20121227.zip added

Small changes to Windows specific has been uploaded. The issues for conversion INPUT THROUGH, OUTPUT THROUGH and INPUT-OUTPUT

THROUGH have not been documented yet. Do we plan to support these features in Windows-target P2J conversted code?

#8 - 01/08/2013 08:43 AM - Eugenie Lyzenko

- File windows_specific_documents_20130108.zip added

The latest document update uploaded. With small synytax fix and new line behavior description adding.

#9 - 11/16/2016 01:31 PM - Greg Shah

- Target version changed from Milestone 18 to Revise Documentation and Training Materials

#10 - 01/25/2017 04:14 PM - Greg Shah

- Related to Feature #1901: modify the conversion process to properly run on Windows added

#11 - 04/11/2017 08:21 AM - Greg Shah

- Status changed from WIP to Closed

- % Done changed from 0 to 100

Files

windows_target_specific.odt 22.5 KB 12/21/2012 Eugenie Lyzenko

windows_specific.odt 21.8 KB 12/21/2012 Eugenie Lyzenko

windows_specific_documents_20121225.zip 61.9 KB 12/25/2012 Eugenie Lyzenko

windows_specific_documents_20121227.zip 63.8 KB 12/27/2012 Eugenie Lyzenko

windows_specific_documents_20130108.zip 65 KB 01/08/2013 Eugenie Lyzenko
